# Display the network card information bound to the cloud host - DescribeInstanceNetworkInterface

## Overview

Display the network card information bound to the cloud host






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeInstanceNetworkInterface`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **InstanceId** | string | UHost ID |**Yes**|
| **Offset** | int | Default is 0 |No|
| **Limit** | int | Default is 20 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **NetworkInterfaceSet** | array[[*InstanceNetworkInterface*](#instancenetworkinterface)] | Virtual Network Card Information |**Yes**|

#### Data Model


#### InstanceNetworkInterface

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **InterfaceId** | string | Virtual Network Card Resource ID |**Yes**|
| **VPCId** | string | Belonging VPC |**Yes**|
| **SubnetId** | string | Subnet Ownership |**Yes**|
| **PrivateIpSet** | array[string] | Associate with the internal network IP. Currently, a network card only supports binding with one internal network IP. |**Yes**|
| **MacAddress** | string | Associate Mac |**Yes**|
| **Status** | int | Binding Status |**Yes**|
| **Name** | string | Virtual Network Card Name |No|
| **Netmask** | string | Private Network IP Mask |No|
| **Gateway** | string | Default Gateway |No|
| **AttachInstanceId** | string | Bind Instance Resource ID |No|
| **Default** | boolean | Is it the default network card bound to the instance? false: No true: Yes |No|
| **CreateTime** | int | Creation Time |No|
| **Remark** | string | Note |No|
| **Tag** | string | Business Group |No|
| **EIPIdSet** | array[string] | EIP ID information bound to the virtual network card |No|
| **FirewallIdSet** | array[string] | Information of the firewall ID bound to the virtual network card |No|

## Example

### Request Example
    
```
{
	"Action": "DescribeInstanceNetworkInterface",
	"Region": "pre",
	"InstanceId": "uhost-p5ye1u"
}
```

### Response Example
    
```json
{
  "Action": "DescribeInstanceNetworkInterfaceResponse",
  "NetworkInterfaceSet": [
    {
      "AttachInstanceId": "uhost-p5ye1u",
      "CreateTime": 1513238069,
      "Default": true,
      "Gateway": "10.21.0.1",
      "InterfaceId": "uni-xe1xkj",
      "MacAddress": "52:54:00:7D:24:FF",
      "Name": "chd-2",
      "Netmask": "255.255.0.0",
      "PrivateIpSet": [
        "10.21.180.210"
      ],
      "Remark": "chd",
      "Status": 1,
      "SubnetId": "subnet-pnctmk",
      "Tag": "chd_group",
      "VPCId": "uvnet-lksdw0"
    }
  ],
  "RetCode": 0
}
```





